<?php

use yii\db\Migration;
use yii\db\Schema;

/**
 * Class m240521_081937_add_column_product_is_available_for_subscriptions
 */
class m240521_081937_add_column_product_is_available_for_subscriptions extends Migration
{
    /**
     * {@inheritdoc}
     */
    public function safeUp()
    {
        $this->addColumn('product', 'is_available_for_subscriptions', Schema::TYPE_BOOLEAN.' DEFAULT 1');
    }

    /**
     * {@inheritdoc}
     */
    public function safeDown()
    {
        $this->dropColumn('product', 'is_available_for_subscriptions');
    }
}
